package com.lanyuanxiaoyao.service.executor.task;

import de.vandermeer.asciitable.AsciiTable;
import de.vandermeer.asciitable.CWC_LongestLine;
import de.vandermeer.asciithemes.TA_GridThemes;
import de.vandermeer.asciithemes.a8.A8_Grids;

/**
 * @author
 * @date 2024-05-17
 */
public class ConsoleTableTest {
    public static void main(String[] args) {
        AsciiTable table = new AsciiTable();
        table.addRule();
        table.addRow("Count", "Latest Opts");
        table.addRule();
        table.addRow("20657434", "2024-07-07 10:50:54");
        table.addRow("20657434", "2024-07-07 10:50:54");
        table.addRule();
        table.getRenderer().setCWC(new CWC_LongestLine());
        table.getContext().setGridTheme(TA_GridThemes.FULL);
        table.setPaddingLeftRight(1);
        System.out.println(table.render());
    }
}
